Решение ошибки при установке Yii2-advanced через vagrant up в windows 10

При установке yii2-advanced через vagrant up на windows 10 я столкнулся с ошибкой:


C:/HashiCorp/Vagrant/embedded/gems/2.1.2/gems/vagrant-2.1.2/bin/vagrant:47:in `[]=': Invalid argument - ruby_setenv(VAGRANT_NO_PLUGINS) (Errno::EINVAL)
        from C:/HashiCorp/Vagrant/embedded/gems/2.1.2/gems/vagrant-2.1.2/bin/vagrant:47:in `block in'
from C:/HashiCorp/Vagrant/embedded/gems/2.1.2/gems/vagrant-2.1.2/bin/vagrant:36:in `each_index' from C:/HashiCorp/Vagrant/embedded/gems/2.1.2/gems/vagrant-2.1.2/bin/vagrant:36:in `'

Гугл мне не помог сразу. Пришлось повозиться и начать копаться в файлах vagrant.

Проблема заключалась в том, что у меня не были установленны дополнительные плагины.

Решение простое. Надо их доустановить!!!


// этой командой мы выводим список всех установленных плагинов
vagrant plugin list

// этими комаднами мы устанавливаем плагины
vagrant plugin install vagrant-vbguest
vagrant plugin install vagrant-cachier

Вот и все. У меня все запустилось. Странно, что в гугле не было подобной проблемы.


Коментарии

добавить коментарий

  1. шеф - 24 июля, 2018 в 08:49:10

    при установке плагинов выходит таже самая ошибка.

    • админер - 24 июля, 2018 в 08:49:12

      шеф, попробуй переустиановить vagrant и очисть кеш

    • шеф - 24 июля, 2018 в 08:49:15

      админер, как почистить кеш?

    • админер - 24 июля, 2018 в 08:49:18

      шеф, ccleaner в помощь. но я решил путем переустановки virtualbox и vagrant. затем посмотрел в yii какие плагины нужны vagrant'y и установил их. вот и все.

    • шеф - 24 июля, 2018 в 08:49:20

      админер, поставил версию 2.1.1. заработало

Добавить коментарий

Что за сайт

Этот сайт представляет унифицированную базу, где инфа собрана в единое целое, а не разбросанна по многочисленным сайтам, записям на листах бумаги или головам людей; а так же доступна круглосуточно не зависимо от кого-либо или чего-либо.

ФРЕНДЗОНА

Будь в курсе

Интересненько

Поехали